<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>{{ textoGestionPerfil }}</strong>
    </div>
    <!--Contenido-->
    <div class="pl-10 pr-10 contSecc">
      <div class="titSec">
        {{ textoGestionPerfil }}
      </div>
      <v-card>
        <div class="ml-5">
          <v-list>
            <v-list-item>
              <v-list-item-avatar>
                <v-icon color="grey lighten-1" x-large
                  >mdi-account-group-outline</v-icon
                >
              </v-list-item-avatar>
              <v-list-item-content>
                <v-list-item-title>{{ perfil.descripcion }}</v-list-item-title>
              </v-list-item-content>
            </v-list-item>
          </v-list>
        </div>
        <v-tabs v-model="tab" align-with-title>
          <v-tabs-slider color="yellow"></v-tabs-slider>
          <v-tab>
            Datos del perfil
          </v-tab>
          <v-tab>
            Vistas
          </v-tab>
          <v-tab>
            Usuarios Fijos
          </v-tab>
          <v-tab>
            Usuarios
          </v-tab>
        </v-tabs>
        <v-tabs-items v-model="tab">
          <v-tab-item>
            <datos-perfil :perfilIn="perfil" @changePerfil="changePerfil" />
          </v-tab-item>
          <v-tab-item>
            <vistas :perfilIn="perfil" />
          </v-tab-item>
          <v-tab-item>
            <usuarios-fijos :perfilIn="perfil" />
          </v-tab-item>
          <v-tab-item>
            <usuarios :perfilIn="perfil" />
          </v-tab-item>
        </v-tabs-items>
      </v-card>
    </div>
  </div>
</template>
<script>
import store from "@/store";
import DatosPerfil from "@/views/secure/accesos/perfiles/components/DatosPerfil.vue";
import UsuariosFijos from "@/views/secure/accesos/perfiles/components/UsuariosFijos.vue";
import Usuarios from "@/views/secure/accesos/perfiles/components/Usuarios.vue";
import Vistas from "@/views/secure/accesos/perfiles/components/Vistas.vue";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Component-GestionPerfil",
  components: {
    DatosPerfil,
    UsuariosFijos,
    Usuarios,
    Vistas,
  },
  data() {
    return {
      tab: null,
      textoGestionPerfil: null,
      perfil: null,
    };
  },
  computed: {
    breadcrumbs() {
      return [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Accesos",
          disabled: false,
          exact: true,
          to: {
            name: "accesos",
          },
        },
        {
          text: "Perfiles",
          disabled: false,
          exact: true,
          to: {
            name: "accesos_perfiles",
          },
        },
        {
          text: "Edición",
          disabled: true,
        },
      ];
    },
    serviceCommons() {
      return serviceCommons;
    },
  },
  methods: {
    changePerfil(data) {
      this.perfil = data;
      this.$router.replace({
        params: {
          perfil: this.serviceCommons.objectToBase64(this.perfil),
        },
      });
    },
    initValues() {
      if (this.perfil.idPerfil) {
        this.textoGestionPerfil = "Editar Perfil";
      }
    },
  },
  created() {
    if (this.$route.params.perfil) {
      this.perfil = this.serviceCommons.base64ToObject(
        this.$route.params.perfil
      );
    }
    if (this.$route.query.vistas) {
      this.tab = 1;
      this.$router.replace({ query: {} });
    }
    if (this.$route.query.usuarios_fijos) {
      this.tab = 2;
      this.$router.replace({ query: {} });
    }
    if (this.$route.query.usuarios) {
      this.tab = 3;
      this.$router.replace({ query: {} });
    }
    this.initValues();
  },
};
</script>
